# std::experimental::erase_if (std::map)

From cppreference.com
< cpp‎ | experimental

Defined in header `<experimental/map>` |  |
template <class Key, class T, class Compare, class Alloc, class Predicate> void erase_if(std::map<Key,T,Compare,Alloc>& c, Predicate pred); |  | (library fundamentals TS v2)

Erases all elements that satisfy the predicate `pred` from the container. Equivalent to

    for (auto i = c.begin(), last = c.end(); i != last; ) {
      if (pred(*i)) {
        i = c.erase(i);
      } else {
        ++i;
      }
    }

### Parameters

c | - | container from which to erase
pred | - | predicate that determines which elements should be erased

### Complexity

Linear.

### Example

| This section is incomplete Reason: no example

### See also

remove remove_if | removes elements satisfying specific criteria (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/map/erase_if&oldid=79341"
Category:

- Todo no example